| language-c-0.3.1.1: Analysis and generation of C code | Contents | Index

Language.C.Data.Name

Portability | ghc
Stability | experimental
Maintainer | benedikt.huber@gmail.com

Description
Unique Names with fast equality (newtype `Int`)
Synopsis

newtype Name = Name {

nameId :: Int

}

newNameSupply :: [Name]
namesStartingFrom :: Int -> [Name]

Documentation
newtype Name

Name is a unique identifier
Constructors

Name |

nameId :: Int |

Instances

Enum Name |
Eq Name |
Data Name |
Ord Name |
Read Name |
Show Name |
Ix Name |
Typeable Name |

newNameSupply :: [Name]
return an infinite stream of `Name`s starting with `nameId` 0
namesStartingFrom :: Int -> [Name]
get the infinite stream of unique names starting from the given integer
Produced by Haddock version 2.7.2